<?php
/*	Plugin Name: Gulf Rolodex
	Plugin URI: http://theme.gulfoilltd.com/plugins/rolodex
	Description: A plugin for managing and displaying business cards
	Author: Gulf Oil International Ltd
	Version: 0.2
	Text Domain: rolodex
*/
if (!class_exists('UpdatablePluginClass')) {
	require_once(dirname(__FILE__).'/updatable-plugin-class.php');
}

class GulfRolodex extends UpdatablePluginClass {
	
	function GulfRolodex() {
		add_action( 'init', array(&$this, 'init') );
		add_action( 'init', array(&$this, 'addScripts') );

		add_shortcode('rolodex',array('GulfRolodex', 'shortcode'));
		
		parent::__construct('rolodex');
	}
	
	function init() {
		 $labels = array(
			'name'               => __( 'People', 'post type general name' ),
			'singular_name'      => __( 'Person', 'post type singular name' ),
			'add_new'            => __( 'Add New', 'book' ),
			'add_new_item'       => __( 'Add New person' ),
			'edit_item'          => __( 'Edit person' ),
			'new_item'           => __( 'New people' ),
			'all_items'          => __( 'All people' ),
			'view_item'          => __( 'View people' ),
			'search_items'       => __( 'Search people' ),
			'not_found'          => __( 'No people found' ),
			'not_found_in_trash' => __( 'No people found in the Trash' ), 
			'parent_item_colon'  => '',
			'menu_name'          => 'Rolodex'
		);
		$args = array(
			'labels'        => $labels,
			'description'   => 'Holds contact specific data',
			'public'        => false,
			'show_ui'       => true,
			'show_in_menu'  => true,
			'query_var'     => false,
			'capability_type'=> 'post',
			'has_archive'   => false,
			'hierarchical'  => false,
			'menu_position' => 50,
			'supports'      => array( 'title', 'editor', 'thumbnail'),
			'menu_icon' => 'dashicons-admin-users'
		);

		register_post_type( 'rolodex', $args ); 
	}
	
	
	function addScripts() {
	    wp_register_style('cyan_rolodex_style',plugins_url('/style.css', __FILE__ ));
	    wp_enqueue_style('cyan_rolodex_style');
	}
	
	static function shortcode($atts, $content= null) {
		extract( shortcode_atts(
			array(
				'cols' => 1,
				), $atts )
		);

		$query = new WP_Query(array(
			'post_type' => 'rolodex',
			'posts_per_page' => -1,
			'order' => 'ASC',
			'order_by' => 'menu_order',
		));

		include('templates/list_start.php');

		foreach ($query->get_posts() as $i => $post) {
			if ($i%$cols == 0) {
				include('templates/list_row_start.php');
			}
			include('templates/list_item.php');
			if ($i%$cols == $cols-1) {
				include('templates/list_row_end.php');
			}
		}

		include('templates/list_end.php');
	}	
}

add_action( 'plugins_loaded', create_function( '', 'new GulfRolodex();' ) );


